# Cloudlog

## Deployment

1. Clone repository

```bash
git clone https://git.s5ham.net/komelt/cloudlog-docker.git && cd cloudlog-docker
```

2. Change credentials

   1. `cp .env.sample .env`
   2. Change env `nano .env`

3. Look for latest version

   1. On release page [https://github.com/magicbug/Cloudlog/releases](https://github.com/magicbug/Cloudlog/releases), look for latest Cloudlog version.
   2. Edit `dockerfile` line `ARG CLOUDLOG_VERSION="..."` with latest version.
   3. Also edit `docker-compose.yaml` line `image: cloudlog:...` with latest version.

4. Build

```bash
sudo docker build --pull --rm -f "dockerfile" -t cloudlog:${LATEST_CLOUDLOG_VERSION} "."
```

5. Start

```bash
docker compose up -d
```
